%define major 2.18
%define oname gnome-python-desktop
%define extras_version 2.14
Name: python-module-pygnome-desktop
Version: %major.0
Release: alt1

Summary: python modules for some GNOME libraries part of the GNOME Desktop

License: LGPL
Group: Development/Python
Url: http://www.pygtk.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/%oname/%major/%oname-%version.tar.bz2

#%setup_python_module pygnome
%define bname python-module-pygnome

%define python_gnome_dir %python_sitelibdir/gtk-2.0/gnome

Requires: %bname-extras >= %extras_version

# Automatically added by buildreq on Fri Apr 06 2007
BuildRequires: bug-buddy gcc-c++ gnome-media-devel libgnome-panel-devel libgnomeprintui-devel libgtksourceview-devel libgtop-devel libnautilus-cd-burner-devel librsvg-devel libtotem-devel python-module-pycairo-devel python-module-pygnome-devel

BuildRequires: python-module-pygtk-devel >= 2.9.6

%description
GnomePythonDesktop provides python interfacing modules for some
GNOME libraries part of the GNOME Desktop (gnomeapplet, gnomeprint,
gnomeprint.ui, gtksourceview, wnck, totem.plparser, gtop, nautilusburn,
mediaprofiles, metacity).

%package devel
Summary: files needed to build extra wrappers for GNOME libraries
Group: Development/Python
Requires: %name = %version-%release
Requires: %name-devel
Requires: %bname-extras-devel >= %extras_version

%description devel
This package contains files required to build wrappers for GNOME
libraries so that they interoperate with pygnome.

%package -n %bname-applet
Summary: Python bindings for GNOME Panel applets
Group: System/Libraries
Obsoletes: pygnome-applet
Obsoletes: gnome-python2-applet
Provides: gnome-python2-applet
Requires: %name = %version-%release

%description -n %bname-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n %bname-gtkhtml2
Summary: Python bindings for interacting with gtkhtml2
Group: System/Libraries
Requires: %name = %version-%release
Obsoletes: gnome-python2-gtkhtml2
Provides: gnome-python2-gtkhtml2

%description -n %bname-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via Python.

%package -n %bname-gtksourceview
Summary: Python bindings for interacting with gtksourceview
Group: System/Libraries
Requires: %name = %version-%release
Requires: %bname-gnomeprint = %version-%release

%description -n %bname-gtksourceview
This module contains a wrapper that allows the use of gtksourceview via Python.

%package -n %bname-gnomeprint
Summary: Python bindings for interacting with libgnomeprint
Group: System/Libraries
Requires: libgnomeprint2, libgnomeprintui
Requires: %name = %version-%release
Obsoletes: gnome-python2-gnomeprint
Provides: gnome-python2-gnomeprint

%description -n %bname-gnomeprint
This module contains a wrapper that allows the user of libgnomeprint via Python.

%package -n %bname-gtkmozembed
Summary: Python bindings for interacting with gtkmozembed
Group: System/Libraries
Requires: %name = %version-%release

%description -n %bname-gtkmozembed
This module contains a wrapper that allows the use of gtkmozembed via Python

%package -n %bname-nautilusburn
Summary: Python bindings for interacting with nautilus burn
Group: System/Libraries
Requires: %name = %version-%release

%description -n %bname-nautilusburn
This module contains a wrapper that allows the use of nautilusburn via Python

%package -n %bname-totem
Summary: Python bindings for interacting with totem
Group: System/Libraries
Requires: %name = %version-%release

%description -n %bname-totem
This module contains a wrapper that allows the use of totem via Python

%prep
%setup -q -n %oname-%version

%build
%configure
%make_build

%install
%makeinstall
rm -f %buildroot%python_sitelibdir/gtk-2.0/*.la

%files
%doc AUTHORS ChangeLog README NEWS
%python_sitelibdir/gtk-2.0/wnck.so
%python_sitelibdir/gtk-2.0/gtop.so
%python_sitelibdir/gtk-2.0/rsvg.so
%python_sitelibdir/gtk-2.0/rsvg.so
%python_sitelibdir/gtk-2.0/gnomekeyring.so
%python_sitelibdir/gtk-2.0/mediaprofiles.so
#%python_sitelibdir/gtk-2.0/metacity.so
%python_sitelibdir/gtk-2.0/bugbuddy.*
%python_sitelibdir/gtk-2.0/gnomedesktop/
											
%files devel
%doc examples/*
%_pkgconfigdir/*
%_datadir/gtk-doc/html/*
%_datadir/pygtk/2.0/defs/*.defs

%files -n %bname-applet
%python_gnome_dir/applet.*
%python_sitelibdir/gtk-2.0/gnomeapplet.so

%files -n %bname-gtksourceview
%python_sitelibdir/gtk-2.0/gtksourceview.so

%files -n %bname-gnomeprint
%python_sitelibdir/gtk-2.0/gnomeprint/

%files -n %bname-totem
%python_sitelibdir/gtk-2.0/totem/

%files -n %bname-nautilusburn
%python_sitelibdir/gtk-2.0/nautilusburn.so

%changelog
* Fri Apr 06 2007 Vitaly Lipatov <lav@altlinux.ru> 2.18.0-alt1
- new version (2.18.0)
- add nautilus-burn, totem packages

* Sun Nov 19 2006 Vitaly Lipatov <lav@altlinux.ru> 2.17.1-alt0.3
- fix extras requires again

* Thu Nov 16 2006 Vitaly Lipatov <lav@altlinux.ru> 2.17.1-alt0.2
- fix extras requires

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 2.17.1-alt0.1
- new version 2.17.1 (with rpmrb script)
- The following modules will NOT be built:
  - totem.plparser
  - nautilusburn
  - metacity (too old -devel, needed 2.17.0)

* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 2.15.90-alt0.1
- new version (2.15.90)
- fix version in spec
- missed wnck

* Sun May 28 2006 Vitaly Lipatov <lav@altlinux.ru> 2.15.2-alt0.1
- new version 2.15.2 (with rpmrb script)

* Tue Mar 28 2006 Vitaly Lipatov <lav@altlinux.ru> 2.13.3-alt0.2
- update buildreqs

* Tue Mar 07 2006 Vitaly Lipatov <lav@altlinux.ru> 2.13.3-alt0.1
- initial build for ALT Linux Sisyphus
- split from -gnome-extras
- disable media
